Bug 534962 - (RHQ-1707) Issues with CacheConsistencyManagerBean
Issues with CacheConsistencyManagerBean
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: rhq-perf
  Show dependency treegraph
 
Reported: 2009-03-02 23:50 EST by Charles Crouch
Modified: 2015-02-01 18:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 11:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2009-03-02 23:50:00 EST
Saw this in the server log 

[org.rhq.enterprise.server.cloud.instance.CacheConsistencyManagerBean] jon03.qa.atl2.redhat.com took [378399]ms to reload cache for 250 agents

a) Over 6mins seems a bit long, not sure if that is to be expected.
b) I dont have 250agents in the inventory, I have 218 in inventory and 32 uncommitted in the autodiscovery portlet.
Comment 1 Joseph Marques 2009-03-22 11:33:19 EDT
charles, did you only see this once, or is this consistent?  the cache shouldn't take anywhere near that long to load, so my first guess would be that your database was unhealthy in some other way and/or was busy processing some sort sort of data.  if this happens, you should turn on debug logging for the alerts-related SLSBs (this is already commented our in the server's log4j config file).
Comment 2 Red Hat Bugzilla 2009-11-10 15:38:48 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1707
Comment 3 Charles Crouch 2010-08-05 12:40:40 EDT
Need to test in the perf env to see if this is still a problem

Note You need to log in before you can comment on or make changes to this bug.